<?php
use_helper('UrlFunctions');
use_helper('UtilFunctions');
$o_ObjectBean = new PrestamoBean();

$o_ObjectBean->setIdPrestamo($id);

$o_ObjectDP = new PrestamoDP($o_ObjectBean);
$a_o_Prestamo = $o_ObjectDP->select();

$a_cuotas = $o_ObjectDP->ObtenerCronograma($id);
$a_pagos = $o_ObjectDP->ObtenerPagos($id);
 
$tamanioPag = 300;

//echo $txtFecha."-------------------";

$o_CrCategoriaPrestamologFN = new CrCategoriaPrestamologFN();
$a_o_CrCategoriaCoutaFN = $o_CrCategoriaPrestamologFN->selectCronogramaCuotas($id);
$a_o_CrCategoriaPrestamologFN = $o_CrCategoriaPrestamologFN->selectCategoriaLog($id);
$a_o_CrCategoriasFN = $o_CrCategoriaPrestamologFN->selectCategorias();
//$a_o_CrCategoriaPrestamologFN = $o_CrCategoriaPrestamologFN->selectDet();
$numeroCuotas = count($a_o_CrCategoriaCoutaFN);
/*
echo "<pre>";
print_r($a_o_CrCategoriaCoutaFN);
print_r($a_o_CrCategoriaPrestamologFN);
echo "</pre>";
*/
$contador = 1;
if(is_array($a_o_CrCategoriaCoutaFN)){
	foreach ($a_o_CrCategoriaCoutaFN as $key => $o_CrCategoriaCoutaFN){
		$idprestamo = $o_CrCategoriaCoutaFN->idprestamo;
		$fecha = $o_CrCategoriaCoutaFN->fecha;
		
		$a_o_CrCategoriaCoutaFN[$key]->nombrecategoria = $a_o_CrCategoriaPrestamologFN[$fecha."|".$idprestamo]->nombrecategoria;
		$a_o_CrCategoriaCoutaFN[$key]->peso = $a_o_CrCategoriaPrestamologFN[$fecha."|".$idprestamo]->peso;
		
		$contador++;
		//Para prestamos antiguos que estan vencidos
		if(count($a_o_CrCategoriaCoutaFN) == $contador){
			//Obtener ultima fecha
			$ultimaFecha = $fecha;
			if($a_o_CrCategoriaPrestamologFN[$fecha."|".$idprestamo]->peso){
				$a_ultimoElemento = end($a_o_CrCategoriaPrestamologFN);
				$a_o_CrCategoriaCoutaFN[$a_ultimoElemento->fecha."|".$a_ultimoElemento->idprestamo]->nombrecategoria = $a_ultimoElemento->peso;
				$a_o_CrCategoriaCoutaFN[$a_ultimoElemento->fecha."|".$a_ultimoElemento->idprestamo]->peso = $a_ultimoElemento->peso;	
			}else{
				// Es un prestamo vencido
				//if($ultimaFecha < date('Y-m-d')){
					//$flagCuotaPerdida = 1;
				//}
			}
			
		}
	}
}else{
	echo "No hay Cronograma";
}
if($flagCuotaPerdida){
	foreach ($a_o_CrCategoriaCoutaFN as $key => $o_CrCategoriaCoutaFN){
		$a_o_CrCategoriaCoutaFN[$key]->nombrecategoria = 'Perdida';
		$a_o_CrCategoriaCoutaFN[$key]->peso = '100';	
	}
}

foreach ($a_o_CrCategoriasFN as $key => $o_CrCategoriasFN){
	$cadena_cat .= "[".$o_CrCategoriasFN->codigo." ".$o_CrCategoriasFN->peso."]".$o_CrCategoriasFN->descripcion;
}

//echo $cadena_cat;

echo "<pre>";
//print_r($a_o_CrCategoriaCoutaFN);
echo "</pre>";
function formatoFecha($fecha){
	$a_fecha = explode('-',$fecha);
	$cadena = $a_fecha[2]."/".$a_fecha[1]."/".substr($a_fecha[0],2,2);
	return $cadena;
}

?>

<img src="/images/common/spacer.gif" width="10">
 <table class="cuerpo" width="98%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="0">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td class="titleBody">
            <li>Prestamo</li><span class="subtitle"><I>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;:::&nbsp;Detalle x Cronograma</I></span></td>
          <td align="right" valign="baseline">&nbsp;</td>
        </tr>
      </table>
    </td>
  </tr>
  <tr>
    <td valign="top">
    		<?php
                $s_Param = '';
                if( isset( $id ) )
                {
                    $s_Param = 'id='.$id;
                }
                ?>
				<table id="tabShowScan" cellpadding="0" cellspacing="0" class="" style="margin-top: 5px;">
	                <tr>
	                  <td class="mnuActivoIzq" type='maintTabguiaGeneral'><img src="/images/common/spacer.gif" width="7"></td>
	                  <td class="mnuActivoTxt" type='maintTabguiaGeneral' nowrap onclick="location.href='<?php echo buildUrl('cat/estado_prestamocat', $s_Param) ?>';">Grafico del Cronograma</td>
	                  <td class="mnuActivoDer" type='maintTabguiaGeneral'><img src="/images/common/spacer.gif" width="8"></td>
	                  
	                  	                  
	                  <td class="mnuInactivoIzq" type='maintTabguiaGeneral'><img src="/images/common/spacer.gif" width="7"></td>
	                  <td class="mnuInactivoTxt" type='maintTabguiaGeneral' nowrap onclick="location.href='<?php echo buildUrl('cat/estado_prestamocrono', $s_Param) ?>';">Detalle del Cronograma</td>
	                  <td class="mnuInactivoDer" type='maintTabguiaGeneral'><img src="/images/common/spacer.gif" width="8"></td>
					  
					   	                  
	                  
	                </tr>
	           </table>
				<?php printHeaderPrestamo($a_o_Prestamo)?>
			
			<table width="100%" border="0" cellspacing="0" cellpadding="3" align="center">
    <tr>
        <td valign="top" class="text" align="center"> <div id="chartdiv" align="center"> FusionCharts. </div> </td>
    </tr>
</table>

<script type="text/javascript" src="<?php echo Constantes::ROOT_DIR_APP?>/web/js/JSClass/FusionCharts.js"></script>
<script type="text/javascript">
   
    var chart = new FusionCharts("<?php echo Constantes::ROOT_DIR_APP?>/web/tools/Charts/ScrollLine2D.swf", "ChartId", "1100", "300", "0", "0");
       
  	/*chart.setDataURL("<?php echo Constantes::ROOT_DIR_APP?>/web/tools/Data/ScrollLineData.xml");*/
  	
    chart.setDataXML(
                        "<chart caption='Resumen' numberPrefix='' formatNumberScale='0' scrollheight='10' flatscrollbars='1' scrollshowbuttons='1' basefontsize='9' palette='4' enableRotation='1' bgColor='#E3E9E2,FFFFFF' bgAlpha='40,100' bgRatio='0,100' bgAngle='360' showBorder='1' decimals='2'>\
                            <categories >\
                            <?php 
                        		reset($a_o_CrCategoriaCoutaFN);
                        		foreach ( $a_o_CrCategoriaCoutaFN as $s_Key => $o_CrCategoriaCoutaFN ){ ?>
								<category label='<?php echo formatoFecha($o_CrCategoriaCoutaFN->fecha) ?>' />\
							<?php } ?>
							</categories>\
							<dataset seriesName='<?php echo $cadena_cat;?>' color='000000' anchorBorderColor='800080'>\
								<?php 
	                        		reset($a_o_CrCategoriaCoutaFN);
	                        		foreach ( $a_o_CrCategoriaCoutaFN as $s_Key => $o_CrCategoriaCoutaFN ){ ?>
									<set value='<?php echo $o_CrCategoriaCoutaFN->peso; ?>' />\
								<?php } ?>
							</dataset>\
                        </chart>"
                    );
    chart.render("chartdiv");
    
</script>

			
			
			
						
					</td>
				</tr>
			
			</table>
			
			
    
    </td>
   </tr>
  </table>



